Manage and configure CDN settings for your domain

Fine-tune security and performance settings for your Content Delivery Network (CDN). You can enable or disable features like DDoS protection, bot protection, and geographic traffic steering to optimize your website's performance and security.

Domain Services Domains

Context

Used in the dashboard

/cdn

Headers

Accept Example
Content-Type Example

Body

required
application/json
alwaysOnline boolean required · Example: true
alwaysUseHttps boolean required · Example: true
blockBadBots boolean required · Example: true
blockBadCrawlers boolean required · Example: true
botProtection boolean required · Example: true
ddosMode string required · Example: medel
dnssecEnabled boolean required · Example: true
domain string required · Example: example.com
earlyHints boolean required · Example: true
geo_whitelist_countries string required · Example: FI,IS
koalityengineAllowlist boolean required · Example: false
minTlsVersion string · enum required · Example: 1.2
1.0
1.1
1.2
1.3
nonSwedenTrafficAction string · enum required · Example: challenge
challenge
off
proxy boolean required · Example: true
purgeCache boolean · Example: false
sslMode string · enum required · Example: full
flexible
full
wafChallengeGeoEnabled boolean required · Example: true
wafIpAllowlist array required · Example: []
wafPathAllowlist array required · Example: []
wafSkipEnabled boolean required · Example: true
wafUaAllowlist array required · Example: []
wpLoginProtection boolean required · Example: true
wpadminChallenge boolean required · Example: false

Responses

200
data object required
data.domain string required · Example: example.com
data.security_settings_updated boolean required · Example: true
data.success boolean required · Example: true

True for successful responses.

data.updated_fields array<string> required · Example: ["proxy","ddos_mode"]
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/cdn/zones
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/cdn/zones" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domain": "example.com",
    "proxy": true,
    "ddosMode": "medel",
    "alwaysUseHttps": true,
    "nonSwedenTrafficAction": "challenge",
    "sslMode": "full",
    "minTlsVersion": "1.2",
    "botProtection": true,
    "blockBadCrawlers": true,
    "wpLoginProtection": true,
    "wpadminChallenge": false,
    "blockBadBots": true,
    "earlyHints": true,
    "alwaysOnline": true,
    "purgeCache": false,
    "koalityengineAllowlist": false,
    "wafSkipEnabled": true,
    "wafChallengeGeoEnabled": true,
    "geo_whitelist_countries": "FI,IS",
    "wafIpAllowlist": [],
    "wafUaAllowlist": [],
    "wafPathAllowlist": [],
    "dnssecEnabled": true
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "domain": "example.com",
    "updated_fields": [
      "proxy",
      "ddos_mode",
      {
        "_truncated": "... and 19 more items"
      }
    ],
    "security_settings_updated": true
  }
}
Request Body Example 1
{
  "domain": "example.com",
  "proxy": true,
  "ddosMode": "medel",
  "alwaysUseHttps": true,
  "nonSwedenTrafficAction": "challenge",
  "sslMode": "full",
  "minTlsVersion": "1.2",
  "botProtection": true,
  "blockBadCrawlers": true,
  "wpLoginProtection": true,
  "wpadminChallenge": false,
  "blockBadBots": true,
  "earlyHints": true,
  "alwaysOnline": true,
  "purgeCache": false,
  "koalityengineAllowlist": false,
  "wafSkipEnabled": true,
  "wafChallengeGeoEnabled": true,
  "geo_whitelist_countries": "FI,IS",
  "wafIpAllowlist": [],
  "wafUaAllowlist": [],
  "wafPathAllowlist": [],
  "dnssecEnabled": true
}